Module javafx.base
Package javafx.beans.property

# Class ReadOnlyFloatWrapper

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.FloatExpression
javafx.beans.property.ReadOnlyFloatProperty
javafx.beans.property.FloatProperty
javafx.beans.property.FloatPropertyBase
javafx.beans.property.SimpleFloatProperty
javafx.beans.property.ReadOnlyFloatWrapper

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableFloatValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableFloatValue`, `WritableNumberValue`, `WritableValue<Number>`

public class ReadOnlyFloatWrapper extends SimpleFloatProperty
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyFloatWrapper()`
The constructor of `ReadOnlyFloatWrapper`
`ReadOnlyFloatWrapper(float initialValue)`
The constructor of `ReadOnlyFloatWrapper`
`ReadOnlyFloatWrapper(Object bean, String name)`
The constructor of `ReadOnlyFloatWrapper`
`ReadOnlyFloatWrapper(Object bean, String name, float initialValue)`
The constructor of `ReadOnlyFloatWrapper`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fireValueChangedEvent()`
Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
`ReadOnlyFloatProperty`
`getReadOnlyProperty()`
Returns the readonly property, that is synchronized with this `ReadOnlyFloatWrapper`.

### Methods inherited from class javafx.beans.property.SimpleFloatProperty

`getBean, getName`

### Methods inherited from class javafx.beans.property.FloatPropertyBase

`addListener, addListener, bind, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

### Methods inherited from class javafx.beans.property.FloatProperty

`asObject, bindBidirectional, floatProperty, setValue, unbindBidirectional`

### Methods inherited from class javafx.beans.property.ReadOnlyFloatProperty

`readOnlyFloatProperty`

### Methods inherited from class javafx.beans.binding.FloatExpression

`add, add, add, add, divide, divide, divide, divide, doubleValue, floatExpression, floatExpression, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

### Methods inherited from class javafx.beans.binding.NumberExpressionBase

`add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

## Constructor Details

### ReadOnlyFloatWrapper

public ReadOnlyFloatWrapper()
The constructor of `ReadOnlyFloatWrapper`

### ReadOnlyFloatWrapper

public ReadOnlyFloatWrapper(float initialValue)
The constructor of `ReadOnlyFloatWrapper`

Parameters:
  `initialValue` - the initial value of the wrapped value

### ReadOnlyFloatWrapper

public ReadOnlyFloatWrapper(Object bean, String name)
The constructor of `ReadOnlyFloatWrapper`

Parameters:
  `bean` - the bean of this `ReadOnlyFloatProperty`
  `name` - the name of this `ReadOnlyFloatProperty`

### ReadOnlyFloatWrapper

public ReadOnlyFloatWrapper(Object bean, String name, float initialValue)
The constructor of `ReadOnlyFloatWrapper`

Parameters:
  `bean` - the bean of this `ReadOnlyFloatProperty`
  `name` - the name of this `ReadOnlyFloatProperty`
  `initialValue` - the initial value of the wrapped value

## Method Details

### getReadOnlyProperty

public ReadOnlyFloatProperty getReadOnlyProperty()
Returns the readonly property, that is synchronized with this `ReadOnlyFloatWrapper`.

Returns:
  the readonly property

### fireValueChangedEvent

protected void fireValueChangedEvent()
Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `FloatPropertyBase.set(float)` or in case of a bound property, if the binding becomes invalid.

Overrides:
  `fireValueChangedEvent` in class `FloatPropertyBase`